#include "task.h"
#include "applicationicon.h"

using namespace rov2;

namespace tutorial2
{
/*! Defines my own application icon */
class MyIcon : public CApplicationIcon
{
public:
  /*! We are going to use the "!system" sprite for our icon */
  MyIcon() : CApplicationIcon("!system") {}

  /*! Not much in the destructor! */
  ~MyIcon() {}

  bool Clicked(const tMouseClickBlock& rkmcbClickBlock)
  {
    /* When this icon is clicked on, stop the poll loop */
    CTask::CurrentTask()->Stop();
    return true;
  }

};
}

using namespace tutorial2;

/* We can create a class like this... */
static CTask* pTask = new CTask("Second ROVLib2 app!");

int main(int argc, char** argv)
{
  /* Create our application icon */
  MyIcon* pIcon = new MyIcon();

  /* And create a second one which does nothing */
  CApplicationIcon* pIcon2 = new CApplicationIcon("file_ff8");

  /* Poll until we want to stop*/
  pTask->Poll();

  /* Delete everything */
  delete(pIcon2);
  delete(pIcon);

  return 0;
}
